aboutsummaryrefslogtreecommitdiff
path: root/bluetooth
diff options
context:
space:
mode:
authorInigoGutierrez <inigogf.95@gmail.com>2022-10-08 16:28:27 +0200
committerInigoGutierrez <inigogf.95@gmail.com>2022-10-08 16:28:27 +0200
commit5cd8449c399c939f0632a7346ec3f4e9cd3a4f08 (patch)
treee335d4343343f1242b35420333b1756ca034769a /bluetooth
parentf4b0a2b3ee0b82e6093335e37039f6d089492a8f (diff)
downloadscripts-5cd8449c399c939f0632a7346ec3f4e9cd3a4f08.tar.gz
scripts-5cd8449c399c939f0632a7346ec3f4e9cd3a4f08.zip
Conditionally swap Escape and Caps.
Diffstat (limited to 'bluetooth')
-rwxr-xr-xbluetooth/btConnect.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/bluetooth/btConnect.sh b/bluetooth/btConnect.sh
index 71bb93b..9d97938 100755
--- a/bluetooth/btConnect.sh
+++ b/bluetooth/btConnect.sh
@@ -26,16 +26,16 @@ if bluetoothctl show | grep -Fq 'Powered: no'; then
fi
lines=$(bluetoothctl devices Paired | wc -l)
-selected=$(bluetoothctl devices Paired | dmenu -l $lines -p "💓") || exit 1
-mac=$(echo $selected | cut -d' ' -f2)
-name=$(echo $selected | cut -d' ' -f3-)
+selected=$(bluetoothctl devices Paired | dmenu -l "$lines" -p "💓") || exit 1
+mac=$(echo "$selected" | cut -d' ' -f2)
+name=$(echo "$selected" | cut -d' ' -f3-)
-if bluetoothctl info $mac | grep -F 'Connected' | grep -Fq 'yes'; then
+if bluetoothctl info "$mac" | grep -F 'Connected' | grep -Fq 'yes'; then
notify-send "$title" "Already connected to ${name}\n(${mac})"
exit 2
fi
-if ! bluetoothctl connect $mac; then
+if ! bluetoothctl connect "$mac"; then
notify-send "$title" "Unable to connect to ${name}\n(${mac})"
exit 3
fi